"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const config = require("./config.js");
const SettingItem = require("../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.js");
const SettingItemBox = require("../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.js");
const CollapseItem_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../settings/designSetting.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../store/modules/chartEditStore/chartEditStore.js");
require("../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const textAlignOptions = [
      { label: "左对齐", value: "start" },
      { label: "居中", value: "center" },
      { label: "右对齐", value: "end" }
    ];
    const verticalOptions = [
      {
        label: config.WritingModeEnum.HORIZONTAL,
        value: config.WritingModeObject[config.WritingModeEnum.HORIZONTAL]
      },
      {
        label: config.WritingModeEnum.VERTICAL,
        value: config.WritingModeObject[config.WritingModeEnum.VERTICAL]
      }
    ];
    const fontWeightOptions = [
      {
        label: config.FontWeightEnum.NORMAL,
        value: config.FontWeightObject[config.FontWeightEnum.NORMAL]
      },
      {
        label: config.FontWeightEnum.BOLD,
        value: config.FontWeightObject[config.FontWeightEnum.BOLD]
      }
    ];
    const handleLinkClick = () => {
      window.open(props.optionData.linkHead + props.optionData.link);
    };
    const linkHeadOptions = [
      { label: "http://", value: "http://" },
      { label: "https://", value: "https://" }
    ];
    return (_ctx, _cache) => {
      const _component_n_input = runtimeCore_esmBundler.resolveComponent("n-input");
      const _component_n_select = runtimeCore_esmBundler.resolveComponent("n-select");
      const _component_n_button = runtimeCore_esmBundler.resolveComponent("n-button");
      const _component_n_input_group = runtimeCore_esmBundler.resolveComponent("n-input-group");
      const _component_n_color_picker = runtimeCore_esmBundler.resolveComponent("n-color-picker");
      const _component_n_input_number = runtimeCore_esmBundler.resolveComponent("n-input-number");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, [
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(CollapseItem_vue_vue_type_script_setup_true_lang.default), {
          name: "信息",
          expanded: true
        }, {
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), {
              name: "文字",
              alone: true
            }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), null, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input, {
                      value: __props.optionData.dataset,
                      "onUpdate:value": _cache[0] || (_cache[0] = ($event) => __props.optionData.dataset = $event),
                      type: "textarea",
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), {
              name: "链接",
              alone: true
            }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), null, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_group, null, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createVNode(_component_n_select, {
                          value: __props.optionData.linkHead,
                          "onUpdate:value": _cache[1] || (_cache[1] = ($event) => __props.optionData.linkHead = $event),
                          size: "small",
                          style: { width: "80%" },
                          options: linkHeadOptions
                        }, null, 8, ["value"]),
                        runtimeCore_esmBundler.createVNode(_component_n_input, {
                          value: __props.optionData.link,
                          "onUpdate:value": _cache[2] || (_cache[2] = ($event) => __props.optionData.link = $event),
                          size: "small"
                        }, null, 8, ["value"]),
                        runtimeCore_esmBundler.createVNode(_component_n_button, {
                          disabled: !__props.optionData.link,
                          secondary: "",
                          size: "small",
                          onClick: handleLinkClick
                        }, {
                          default: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createTextVNode("跳转")
                          ]),
                          _: 1
                        }, 8, ["disabled"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        }),
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(CollapseItem_vue_vue_type_script_setup_true_lang.default), {
          name: "样式",
          expanded: true
        }, {
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "文字" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "颜色" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: __props.optionData.fontColor,
                      "onUpdate:value": _cache[3] || (_cache[3] = ($event) => __props.optionData.fontColor = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "字体大小" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.fontSize,
                      "onUpdate:value": _cache[4] || (_cache[4] = ($event) => __props.optionData.fontSize = $event),
                      size: "small",
                      placeholder: "字体大小"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "字体粗细" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_select, {
                      value: __props.optionData.fontWeight,
                      "onUpdate:value": _cache[5] || (_cache[5] = ($event) => __props.optionData.fontWeight = $event),
                      size: "small",
                      options: fontWeightOptions
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "X轴内边距" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.paddingX,
                      "onUpdate:value": _cache[6] || (_cache[6] = ($event) => __props.optionData.paddingX = $event),
                      size: "small",
                      placeholder: "输入内边距"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "Y轴内边距" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.paddingY,
                      "onUpdate:value": _cache[7] || (_cache[7] = ($event) => __props.optionData.paddingY = $event),
                      size: "small",
                      placeholder: "输入内边距"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "水平对齐" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_select, {
                      value: __props.optionData.textAlign,
                      "onUpdate:value": _cache[8] || (_cache[8] = ($event) => __props.optionData.textAlign = $event),
                      size: "small",
                      options: textAlignOptions
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "文本方向" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_select, {
                      value: __props.optionData.writingMode,
                      "onUpdate:value": _cache[9] || (_cache[9] = ($event) => __props.optionData.writingMode = $event),
                      size: "small",
                      options: verticalOptions
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "字间距" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.letterSpacing,
                      "onUpdate:value": _cache[10] || (_cache[10] = ($event) => __props.optionData.letterSpacing = $event),
                      size: "small",
                      placeholder: "输入字间距"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "边框" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "宽度" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.borderWidth,
                      "onUpdate:value": _cache[11] || (_cache[11] = ($event) => __props.optionData.borderWidth = $event),
                      size: "small",
                      min: 0,
                      placeholder: "宽度"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "颜色" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: __props.optionData.borderColor,
                      "onUpdate:value": _cache[12] || (_cache[12] = ($event) => __props.optionData.borderColor = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "圆角" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.borderRadius,
                      "onUpdate:value": _cache[13] || (_cache[13] = ($event) => __props.optionData.borderRadius = $event),
                      size: "small",
                      min: 0,
                      placeholder: "圆角"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), {
              name: "背景",
              alone: true
            }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "背景颜色" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: __props.optionData.backgroundColor,
                      "onUpdate:value": _cache[14] || (_cache[14] = ($event) => __props.optionData.backgroundColor = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        })
      ], 64);
    };
  }
});
exports.default = _sfc_main;
